For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocumentationAPI ReferenceSelf HostModel CardsClient LibrariesIntegrationsDeveloper ToolsChangelog
DocumentationAPI ReferenceSelf HostModel CardsClient LibrariesIntegrationsDeveloper ToolsChangelog
  • API References
    • Authentication
    • Concurrency and Limits
    • WebSocket
  • Text to Speech
    • POSTSynthesize Speech
    • STREAMStream Speech (SSE)
    • WSSStream Speech (WebSocket)
    • POSTLightning v3.1 (endpoint will be deprecated)
    • POSTLightning v3.1 SSE (endpoint will be deprecated)
    • WSSLightning v3.1 WebSocket (endpoint will be deprecated)
    • POSTLightning v2 (Deprecated)
    • POSTLightning v2 SSE (Deprecated)
    • WSSLightning v2 WebSocket (Deprecated)
    • GETGet Voices
    • POSTCreate a Voice Clone
    • GETList Voice Clones
    • DELDelete a Voice Clone
    • POSTAdd Voice (Deprecated)
    • GETGet Cloned Voices (Deprecated)
    • GETGet Pronunciation Dictionaries
    • POSTCreate Pronunciation Dictionary
    • PUTUpdate Pronunciation Dictionary
    • DELDelete Pronunciation Dictionary
  • Speech to Text
    • POSTTranscribe (Pre-recorded)
    • WSSTranscribe (Realtime / WebSocket)
  • LLM (Chat Completions)
    • POSTElectron — Chat Completions
  • Speech to Speech
    • WSSHydra (Realtime / WebSocket)
LogoLogo
Voice AgentsModels
Voice AgentsModels
Text to Speech

Delete Pronunciation Dictionary

||View as Markdown|
DELETE
https://api.smallest.ai/waves/v1/pronunciation-dicts
DELETE
/waves/v1/pronunciation-dicts
1import requests
2
3url = "https://api.smallest.ai/waves/v1/pronunciation-dicts"
4
5payload = { "id": "64f1234567890abcdef12345" }
6headers = {
7 "Authorization": "Bearer <BearerAuth>",
8 "Content-Type": "application/json"
9}
10
11response = requests.delete(url, json=payload, headers=headers)
12
13print(response.json())
1{
2 "id": "64f1234567890abcdef12345",
3 "deleted": true
4}
Delete an existing pronunciation dictionary for the authenticated user
Was this page helpful?
Previous

Update Pronunciation Dictionary

Next

Transcribe (Pre-recorded)

Built with

Authentication

AuthorizationBearer

Header authentication of the form Bearer <token>

Request

This endpoint expects an object.
idstringRequired>=1 character
ID of the pronunciation dictionary to delete

Response

Successfully deleted pronunciation dictionary
idstring
ID of the deleted pronunciation dictionary
deletedboolean
Confirmation that the dictionary was deleted

Errors

400
Bad Request Error
401
Unauthorized Error
500
Internal Server Error